#include <iostream>

using namespace std;

int main()
{
    int a,b,x,y;
    cin >> a >> b;
    cin >> x >> y;
    if (x==a && y != b){
    cout << "drugi";
    return 0;
    }
    if(x!=a && y==b)
    {
        cout <<"prvi";
        return 0;
    }
    if (x==a && y==b)
    {
        cout << "nijedan";
        return 0;
    }
    if(x!=a && x!=b)
    {
        cout << "?";
        return 0;
    }
    return 0;
}